itpp::Parser Class Reference
Base Module » Argument Parser

Argument Parser Class. More...

`#include <itpp/base/parser.h>`

## Public Member Functions

| Parser ()
| Default Constructor.
| Parser (const std::string &filename)
| Constructor. Sets input file name.
| Parser (int argc, char *argv[])
| Constructor. Uses argc and argv (command line arguments)
| Parser (const std::string &filename, int argc, char *argv[])
| Constructor. Sets input file name and uses argc and argv (command line arguments)
| Parser (const Array< std::string > &setup)
| Constructor. Sets and Array of strings.
void | init (const std::string &filename)
| Initialization function. Sets input file name.
void | init (int argc, char *argv[])
| Initialization function. Uses argc and argv (command line arguments)
void | init (const std::string &filename, int argc, char *argv[])
| Initialization function. Sets input file name and uses argc and argv (command line arguments)
void | init (const Array< std::string > &setup)
| Initialization function. Sets and Array of strings.
void | set_silentmode (bool v=true)
| Sets silent mode if true, or verbose mode if false.
bool | exist (const std::string &name)
| Check is name exists in the file. Returns `true` if the name is found and `false` otherwise.
template<class T >
bool | get (T &var, const std::string &name, int num=-1)
| Get variable value if name can be found (and return true), otherwise keep old value (and return false)
bool | get_bool (const std::string &name, int num=-1)
| Interpret variable name as a bool.
int | get_int (const std::string &name, int num=-1)
| Interpret variable name as an integer.
double | get_double (const std::string &name, int num=-1)
| Interpret variable name as a double.
std::string | get_string (const std::string &name, int num=-1)
| Interpret variable name as a string.
vec | get_vec (const std::string &name, int num=-1)
| Interpret variable name as a vec.
ivec | get_ivec (const std::string &name, int num=-1)
| Interpret variable name as a ivec.
svec | get_svec (const std::string &name, int num=-1)
| Interpret variable name as a svec.
bvec | get_bvec (const std::string &name, int num=-1)
| Interpret variable name as a bvec.
mat | get_mat (const std::string &name, int num=-1)
| Interpret variable name as a mat.
imat | get_imat (const std::string &name, int num=-1)
| Interpret variable name as a imat.
smat | get_smat (const std::string &name, int num=-1)
| Interpret variable name as a smat.
bmat | get_bmat (const std::string &name, int num=-1)
| Interpret variable name as a bmat.
template<>
bool | get (std::string &var, const std::string &name, int num)
template<>
bool | get (int &var, const std::string &name, int num)
template<>
bool | get (bool &var, const std::string &name, int num)
template<>
ITPP_EXPORT bool | get (std::string &var, const std::string &name, int num)
| Specialization or `get()` for std::string.
template<>
ITPP_EXPORT bool | get (int &var, const std::string &name, int num)
| Specialization of `get()` for int.
template<>
ITPP_EXPORT bool | get (bool &var, const std::string &name, int num)
| Specialization of `get()` for bool.

## Detailed Description

Argument Parser Class.

Author
  Thomas Eriksson and Pal Frenger (Thanks to Svante Signell for valuable input)

This class parses strings to variables. The syntax is compatible with Matlab and Octave. It can be used in several different ways. See the Detailed Description in the Argument Parser module.

Definition at line 111 of file parser.h.

The documentation for this class was generated from the following files:

- itpp/base/parser.h
- itpp/base/parser.cpp

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13